function [s, s1]=state(a,p)
%This function creates a matrix of states for the whole game [s] and the
%states faced by representative firm [s1]
s=zeros(a^p,p);

min=(0:a-1)';

l=1;
k=1;

for i=1:p
    
    b=kron(min,ones(l,1));
    s(:,i)=repmat(b,a^(p-k),1);
    k=k+1;
    l=l*a;
    
end

s=fliplr(s);

s1=state_con(s);

end
