function [gmm]=gmm(pie, p,s,beta)
%This funcion computes the objective function

[t]=transition(p,s);

[v1, v2] = value(t,beta,s,p,pie);

phi1=zeros(size(s,1),1);
phi2=zeros(size(s,1),1);


for i=1:size(s,1)
    
    phi1(i)=normcdf(pie(1)*(1-s(i,1))+pie(2)*(1-p(i,2))+pie(3)*(p(i,2))+beta*(((t(i,:)'.*v1)'*s(:,1))/p(i,1))-(.1*s(i,1)+beta*(((t(i,:)'.*v1)'*abs(s(:,1)-ones(size(s,1),1)))/(1-p(i,1)))),0,1);
    phi2(i)=normcdf(pie(1)*(1-s(i,2))+pie(2)*(1-p(i,1))+pie(3)*(p(i,1))+beta*(((t(i,:)'.*v2)'*s(:,2))/p(i,2))-(.1*s(i,2)+beta*(((t(i,:)'.*v2)'*abs(s(:,2)-ones(size(s,1),1)))/(1-p(i,2)))),0,1);
  
end
 
[gmm]=([p(:,1);p(:,2)]-[phi1;phi2]);


end
