function [v1, v2] = value(t,beta,state,p,delta)
%This function computes the value function

[poff1, poff2]=payoff(t,delta,state);

for b=1:2
       
    if b==1
       v1=(eye(size(state,1))-beta*t)\(poff1+normpdf(norminv(p(:,b))));
       
    else
       v2=(eye(size(state,1))-beta*t)\(poff2+normpdf(norminv(p(:,b)))); 

    end
    
end 

end