function [gmm]=gmm_estimationF(p,s,beta,W,type,F)
%This function computes the profit parameters (given the entry cost) if typ==0 or 
%the objetive function to compute beta if type ~=0
%Used for Method A

%pie [entry monopoly duopoly]


[t]=transition(p,s);

[v1, er1,v2,er2] = value2(t,beta,s,p,W);    


l1=zeros(size(s,1),3);
w1=zeros(size(s,1),1);

l2=zeros(size(s,1),3);
w2=zeros(size(s,1),1);

for i=1:size(s,1)
           
    l1(i,:)=[(1-s(i,1)) (1-p(i,2)) (p(i,2))]+(beta/p(i,1))*[(t(i,:)'.*v1(:,1))'*s(:,1) (t(i,:)'.*v1(:,2))'*s(:,1) (t(i,:)'.*v1(:,3))'*s(:,1)]...
        -(beta/(1-p(i,1)))*[(t(i,:)'.*v1(:,1))'*abs(s(:,1)-ones(size(s,1),1)) (t(i,:)'.*v1(:,2))'...
        *abs(s(:,1)-ones(size(s,1),1)) (t(i,:)'.*v1(:,3))'*abs(s(:,1)-ones(size(s,1),1))]; 

    w1(i,:)=-W*s(i,1)+beta*(((t(i,:)'.*er1)'*s(:,1))/p(i,1))+beta*(((t(i,:)'.*v1(:,4))'*s(:,1))/p(i,1))...
        -(beta*(((t(i,:)'.*er1)'*abs(s(:,1)-ones(size(s,1),1)))/(1-p(i,1))))-beta*(((t(i,:)'.*v1(:,4))'*abs(s(:,1)-ones(size(s,1),1)))/(1-p(i,1)));
    
    l2(i,:)=[(1-s(i,2)) (1-p(i,1)) (p(i,1))]+(beta/p(i,2))*[(t(i,:)'.*v2(:,1))'*s(:,2) (t(i,:)'.*v2(:,2))'*s(:,2) (t(i,:)'.*v2(:,3))'*s(:,2)]...
        -(beta/(1-p(i,2)))*[(t(i,:)'.*v2(:,1))'*abs(s(:,2)-ones(size(s,1),1)) (t(i,:)'.*v2(:,2))'...
        *abs(s(:,2)-ones(size(s,1),1)) (t(i,:)'.*v2(:,3))'*abs(s(:,2)-ones(size(s,1),1))];
    
    w2(i,:)=-W*s(i,2)+beta*(((t(i,:)'.*er2)'*s(:,2))/p(i,2))+beta*(((t(i,:)'.*v2(:,4))'*s(:,2))/p(i,2))...
        -(beta*(((t(i,:)'.*er2)'*abs(s(:,2)-ones(size(s,1),1)))/(1-p(i,2))))-beta*(((t(i,:)'.*v2(:,4))'*abs(s(:,2)-ones(size(s,1),1)))/(1-p(i,2)));
    
end

if type==0
inv1=[norminv(p(:,1));norminv(p(:,2))]; 
else
inv1=[norminv(p(:,1))];
end

if type==0
   x=[l1(:,2:3);l2(:,2:3)];
   y=(inv1-[w1;w2]-F*[l1(:,1);l2(:,1)]);
   gmm=(x'*x)\(x'*y);
   
else

   x=[l1(:,2:3)];
   y=(inv1-[w1]- [l1(:,1)]*F);
   pre=(x'*x)\(x'*y);

   ax=[l1(:,1:3)]*[F;pre(1:end)];
   y0=([w1]+ax);
   y=inv1;
   gmm=(y-y0)'*eye(size(y0,1))*(y-y0);   
end


end
