function [dummies,a] =dum(s)
%This function computes the dummies for calculating the swicthing costs

m=max(s);

a=[kron((1:m)',ones(m,1)) kron(ones(m,1),(1:m)')];

a(a(:,1)==a(:,2),:)=[];

fact=size(a,1);
siz=size(s,1);
players=size(s,2);

entry = zeros(siz*m, m);
trans = zeros(siz*m,fact);

k=1;

for i=1:players
    
    for l=1:max(s)
        
        for j=1:siz
        
            if s(j,i)==0
               
               entry(k,l)=1; %Entry dummies
                
            end
            
            if s(j,i)~=l && s(j,i)~=0
                 
               trans(k,(a(:,1)==s(j,i) & a(:,2)==l))=1; %Switching costs dummies
               
            end
            
            k=k+1;
            
        end    
        
    end
       
end

dummies=[entry trans];

end