function [gmm]=gmm(s,pro,p,ac,beta,t,scosts,estimation)
%This function computes the objetive functions for estimating beta for
%methods A and B, the operational costs for method A, and the operational
%and switching costs for method B


siz=size(s,1);

%v: [profit op_cost scs(25) error] -- 28 columns
[v] = value(t,p,beta,pro,s);

    pin_profit=zeros(siz,ac+1);
    pin_opcost=zeros(siz,ac+1);
    
    pin_sc0_1 =zeros(siz,ac+1);
    pin_sc0_2 =zeros(siz,ac+1);
    pin_sc0_3 =zeros(siz,ac+1);
    pin_sc0_4 =zeros(siz,ac+1);
    pin_sc0_5 =zeros(siz,ac+1);
    
    pin_sc1_2 =zeros(siz,ac+1);
    pin_sc1_3 =zeros(siz,ac+1);
    pin_sc1_4 =zeros(siz,ac+1);
    pin_sc1_5 =zeros(siz,ac+1);
    
    pin_sc2_1 =zeros(siz,ac+1);
    pin_sc2_3 =zeros(siz,ac+1);
    pin_sc2_4 =zeros(siz,ac+1);
    pin_sc2_5 =zeros(siz,ac+1);
    
    pin_sc3_1 =zeros(siz,ac+1);
    pin_sc3_2 =zeros(siz,ac+1);
    pin_sc3_4 =zeros(siz,ac+1);
    pin_sc3_5 =zeros(siz,ac+1);
    
    pin_sc4_1 =zeros(siz,ac+1);
    pin_sc4_2 =zeros(siz,ac+1);
    pin_sc4_3 =zeros(siz,ac+1);
    pin_sc4_5 =zeros(siz,ac+1);
    
    pin_sc5_1 =zeros(siz,ac+1);
    pin_sc5_2 =zeros(siz,ac+1);
    pin_sc5_3 =zeros(siz,ac+1);
    pin_sc5_4 =zeros(siz,ac+1);
    
    pin_error =zeros(siz,ac+1);

for i=1:siz
    
    for j=1:ac+1
        
            
           pin_profit(i,j)= ((j-1)>0)*(t(i,:)/p(i,j))*((s(:,1)==j-1).*pro) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,1));
           
           pin_opcost(i,j)= ((j-1)>0) + beta(1)*(t(i,:)/p(i,j))*((s(:,1)==j-1).*v(:,2));
           
           pin_sc0_1(i,j)= (s(i,1)==0)*((j-1)==1) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,3));
           pin_sc0_2(i,j)= (s(i,1)==0)*((j-1)==2) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,4));
           pin_sc0_3(i,j)= (s(i,1)==0)*((j-1)==3) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,5));
           pin_sc0_4(i,j)= (s(i,1)==0)*((j-1)==4) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,6));
           pin_sc0_5(i,j)= (s(i,1)==0)*((j-1)==5) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,7));
           
           pin_sc1_2(i,j)= (s(i,1)==1)*((j-1)==2) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,8));
           pin_sc1_3(i,j)= (s(i,1)==1)*((j-1)==3) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,9));
           pin_sc1_4(i,j)= (s(i,1)==1)*((j-1)==4) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,10));
           pin_sc1_5(i,j)= (s(i,1)==1)*((j-1)==5) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,11));
           
           pin_sc2_1(i,j)= (s(i,1)==2)*((j-1)==1) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,12));
           pin_sc2_3(i,j)= (s(i,1)==2)*((j-1)==3) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,13));
           pin_sc2_4(i,j)= (s(i,1)==2)*((j-1)==4) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,14));
           pin_sc2_5(i,j)= (s(i,1)==2)*((j-1)==5) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,15));
                 
           pin_sc3_1(i,j)= (s(i,1)==3)*((j-1)==1) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,16));
           pin_sc3_2(i,j)= (s(i,1)==3)*((j-1)==2) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,17));
           pin_sc3_4(i,j)= (s(i,1)==3)*((j-1)==4) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,18));
           pin_sc3_5(i,j)= (s(i,1)==3)*((j-1)==5) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,19));
                        
           pin_sc4_1(i,j)= (s(i,1)==4)*((j-1)==1) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,20));
           pin_sc4_2(i,j)= (s(i,1)==4)*((j-1)==2) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,21));
           pin_sc4_3(i,j)= (s(i,1)==4)*((j-1)==3) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,22));
           pin_sc4_5(i,j)= (s(i,1)==4)*((j-1)==5) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,23));
           
           pin_sc5_1(i,j)= (s(i,1)==5)*((j-1)==1) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,24));
           pin_sc5_2(i,j)= (s(i,1)==5)*((j-1)==2) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,25));
           pin_sc5_3(i,j)= (s(i,1)==5)*((j-1)==3) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,26));
           pin_sc5_4(i,j)= (s(i,1)==5)*((j-1)==4) + beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,27));
           
           pin_error(i,j)= beta(1)*(t(i,:)/(p(i,j)))*((s(:,1)==j-1).*v(:,28));
                   
    end
    
        
end

x=zeros(siz*ac,size(v,2));

x(:,1)=reshape(pin_profit(:,2:end)-repmat(pin_profit(:,1),1,5),[size(x,1) 1]); 

x(:,2)=reshape(pin_opcost(:,2:end)-repmat(pin_opcost(:,1),1,5),[size(x,1) 1]);

x(:,3)=reshape(pin_sc0_1(:,2:end)-repmat(pin_sc0_1(:,1),1,5),[size(x,1) 1]);
x(:,4)=reshape(pin_sc0_2(:,2:end)-repmat(pin_sc0_2(:,1),1,5),[size(x,1) 1]);
x(:,5)=reshape(pin_sc0_3(:,2:end)-repmat(pin_sc0_3(:,1),1,5),[size(x,1) 1]);
x(:,6)=reshape(pin_sc0_4(:,2:end)-repmat(pin_sc0_4(:,1),1,5),[size(x,1) 1]);
x(:,7)=reshape(pin_sc0_5(:,2:end)-repmat(pin_sc0_5(:,1),1,5),[size(x,1) 1]);

x(:,8) =reshape(pin_sc1_2(:,2:end)-repmat(pin_sc1_2(:,1),1,5),[size(x,1) 1]);
x(:,9) =reshape(pin_sc1_3(:,2:end)-repmat(pin_sc1_3(:,1),1,5),[size(x,1) 1]);
x(:,10)=reshape(pin_sc1_4(:,2:end)-repmat(pin_sc1_4(:,1),1,5),[size(x,1) 1]);
x(:,11)=reshape(pin_sc1_5(:,2:end)-repmat(pin_sc1_5(:,1),1,5),[size(x,1) 1]);

x(:,12)=reshape(pin_sc2_1(:,2:end)-repmat(pin_sc2_1(:,1),1,5),[size(x,1) 1]);
x(:,13)=reshape(pin_sc2_3(:,2:end)-repmat(pin_sc2_3(:,1),1,5),[size(x,1) 1]);
x(:,14)=reshape(pin_sc2_4(:,2:end)-repmat(pin_sc2_4(:,1),1,5),[size(x,1) 1]);
x(:,15)=reshape(pin_sc2_5(:,2:end)-repmat(pin_sc2_5(:,1),1,5),[size(x,1) 1]);

x(:,16)=reshape(pin_sc3_1(:,2:end)-repmat(pin_sc3_1(:,1),1,5),[size(x,1) 1]);
x(:,17)=reshape(pin_sc3_2(:,2:end)-repmat(pin_sc3_2(:,1),1,5),[size(x,1) 1]);
x(:,18)=reshape(pin_sc3_4(:,2:end)-repmat(pin_sc3_4(:,1),1,5),[size(x,1) 1]);
x(:,19)=reshape(pin_sc3_5(:,2:end)-repmat(pin_sc3_5(:,1),1,5),[size(x,1) 1]);

x(:,20)=reshape(pin_sc4_1(:,2:end)-repmat(pin_sc4_1(:,1),1,5),[size(x,1) 1]);
x(:,21)=reshape(pin_sc4_2(:,2:end)-repmat(pin_sc4_2(:,1),1,5),[size(x,1) 1]);
x(:,22)=reshape(pin_sc4_3(:,2:end)-repmat(pin_sc4_3(:,1),1,5),[size(x,1) 1]);
x(:,23)=reshape(pin_sc4_5(:,2:end)-repmat(pin_sc4_5(:,1),1,5),[size(x,1) 1]);

x(:,24)=reshape(pin_sc5_1(:,2:end)-repmat(pin_sc5_1(:,1),1,5),[size(x,1) 1]);
x(:,25)=reshape(pin_sc5_2(:,2:end)-repmat(pin_sc5_2(:,1),1,5),[size(x,1) 1]);
x(:,26)=reshape(pin_sc5_3(:,2:end)-repmat(pin_sc5_3(:,1),1,5),[size(x,1) 1]);
x(:,27)=reshape(pin_sc5_4(:,2:end)-repmat(pin_sc5_4(:,1),1,5),[size(x,1) 1]);

x(:,28)=reshape(pin_error(:,2:end)-repmat(pin_error(:,1),1,5),[size(x,1) 1]);

y=[log(p(:,2))-log(p(:,1)); log(p(:,3))-log(p(:,1)); log(p(:,4))-log(p(:,1)); log(p(:,5))-log(p(:,1)); log(p(:,6))-log(p(:,1))];

if     estimation==1 % beta: Method A
y=y-sum(x(:,3:27)*scosts',2)-x(:,28)-x(:,1);
beta_aux=(x(:,2)'*x(:,2))\(x(:,2)'*y);
[gmm]=(y-x(:,2)*beta_aux)'*eye(size(y,1))*(y-x(:,2)*beta_aux);
elseif estimation==2 % opcosts: Method A
y=y-sum(x(:,3:27)*scosts',2)-x(:,28)-x(:,1);
[gmm]=(x(:,2)'*x(:,2))\(x(:,2)'*y);  
elseif estimation==3 % beta: Method B
y=y-x(:,28)-x(:,1);
par_prof=(x(:,2:27)'*x(:,2:27))\(x(:,2:27)'*y);        
[gmm]=(y-x(:,2:27)*par_prof)'*eye(size(y,1))*(y-x(:,2:27)*par_prof);
elseif estimation==4 %opcosts and scs: Method B
y=y-x(:,28)-x(:,1);
[gmm]=(x(:,2:27)'*x(:,2:27))\(x(:,2:27)'*y);   

end
