function [pay]=payoff(t,pro,s)
%This function computes the payoff for method A estimation

pay=zeros(size(s,1),27); %profit op_cost scs(25) -- 27 columns

pro=pro';

prof=zeros(size(s,1),size(s,1));

op_cost=zeros(size(s,1),size(s,1));

sc0_1 =zeros(size(s,1),size(s,1));
sc0_2 =zeros(size(s,1),size(s,1));
sc0_3 =zeros(size(s,1),size(s,1));
sc0_4 =zeros(size(s,1),size(s,1));
sc0_5 =zeros(size(s,1),size(s,1));

sc1_2 =zeros(size(s,1),size(s,1));
sc1_3 =zeros(size(s,1),size(s,1));
sc1_4 =zeros(size(s,1),size(s,1));
sc1_5 =zeros(size(s,1),size(s,1));

sc2_1 =zeros(size(s,1),size(s,1));
sc2_3 =zeros(size(s,1),size(s,1));
sc2_4 =zeros(size(s,1),size(s,1));
sc2_5 =zeros(size(s,1),size(s,1));

sc3_1 =zeros(size(s,1),size(s,1));
sc3_2 =zeros(size(s,1),size(s,1));
sc3_4 =zeros(size(s,1),size(s,1));
sc3_5 =zeros(size(s,1),size(s,1));

sc4_1 =zeros(size(s,1),size(s,1));
sc4_2 =zeros(size(s,1),size(s,1));
sc4_3 =zeros(size(s,1),size(s,1));
sc4_5 =zeros(size(s,1),size(s,1));

sc5_1 =zeros(size(s,1),size(s,1));
sc5_2 =zeros(size(s,1),size(s,1));
sc5_3 =zeros(size(s,1),size(s,1));
sc5_4 =zeros(size(s,1),size(s,1));


s_aux=s(:,1)';


for i=1:size(s,1)   
             
    for j=1:size(s,1)
            
        prof(i,j)=t(i,j)*pro(j);
        op_cost(i,j)=t(i,j)*(s_aux(1,j)>0);
        
        sc0_1(i,j)=t(i,j)*(s(i,1)==0)*(s_aux(1,j)==1);
        sc0_2(i,j)=t(i,j)*(s(i,1)==0)*(s_aux(1,j)==2);
        sc0_3(i,j)=t(i,j)*(s(i,1)==0)*(s_aux(1,j)==3);
        sc0_4(i,j)=t(i,j)*(s(i,1)==0)*(s_aux(1,j)==4);
        sc0_5(i,j)=t(i,j)*(s(i,1)==0)*(s_aux(1,j)==5);
        
        sc1_2(i,j)=t(i,j)*(s(i,1)==1)*(s_aux(1,j)==2);
        sc1_3(i,j)=t(i,j)*(s(i,1)==1)*(s_aux(1,j)==3);
        sc1_4(i,j)=t(i,j)*(s(i,1)==1)*(s_aux(1,j)==4);
        sc1_5(i,j)=t(i,j)*(s(i,1)==1)*(s_aux(1,j)==5);
        
        sc2_1(i,j)=t(i,j)*(s(i,1)==2)*(s_aux(1,j)==1);
        sc2_3(i,j)=t(i,j)*(s(i,1)==2)*(s_aux(1,j)==3);
        sc2_4(i,j)=t(i,j)*(s(i,1)==2)*(s_aux(1,j)==4);
        sc2_5(i,j)=t(i,j)*(s(i,1)==2)*(s_aux(1,j)==5);
        
        sc3_1(i,j)=t(i,j)*(s(i,1)==3)*(s_aux(1,j)==1);
        sc3_2(i,j)=t(i,j)*(s(i,1)==3)*(s_aux(1,j)==2);
        sc3_4(i,j)=t(i,j)*(s(i,1)==3)*(s_aux(1,j)==4);
        sc3_5(i,j)=t(i,j)*(s(i,1)==3)*(s_aux(1,j)==5);
        
        sc4_1(i,j)=t(i,j)*(s(i,1)==4)*(s_aux(1,j)==1);
        sc4_2(i,j)=t(i,j)*(s(i,1)==4)*(s_aux(1,j)==2);
        sc4_3(i,j)=t(i,j)*(s(i,1)==4)*(s_aux(1,j)==3);
        sc4_5(i,j)=t(i,j)*(s(i,1)==4)*(s_aux(1,j)==5);
        
        sc5_1(i,j)=t(i,j)*(s(i,1)==5)*(s_aux(1,j)==1);
        sc5_2(i,j)=t(i,j)*(s(i,1)==5)*(s_aux(1,j)==2);
        sc5_3(i,j)=t(i,j)*(s(i,1)==5)*(s_aux(1,j)==3);
        sc5_4(i,j)=t(i,j)*(s(i,1)==5)*(s_aux(1,j)==4);
      
    end
       
end

    pay(:,1)=sum(prof,2);
    
    pay(:,2)=sum(op_cost,2);
    
    pay(:,3)=sum(sc0_1,2);
    pay(:,4)=sum(sc0_2,2);
    pay(:,5)=sum(sc0_3,2);
    pay(:,6)=sum(sc0_4,2);
    pay(:,7)=sum(sc0_5,2);
    
    pay(:,8) =sum(sc1_2,2);
    pay(:,9) =sum(sc1_3,2);
    pay(:,10)=sum(sc1_4,2);
    pay(:,11)=sum(sc1_5,2);
    
    pay(:,12) =sum(sc2_1,2);
    pay(:,13) =sum(sc2_3,2);
    pay(:,14) =sum(sc2_4,2);
    pay(:,15) =sum(sc2_5,2);
    
    pay(:,16) =sum(sc3_1,2);
    pay(:,17) =sum(sc3_2,2);
    pay(:,18) =sum(sc3_4,2);
    pay(:,19) =sum(sc3_5,2);
    
    pay(:,20) =sum(sc4_1,2);
    pay(:,21) =sum(sc4_2,2);
    pay(:,22) =sum(sc4_3,2);
    pay(:,23) =sum(sc4_5,2);
    
    pay(:,24) =sum(sc5_1,2);
    pay(:,25) =sum(sc5_2,2);
    pay(:,26) =sum(sc5_3,2);
    pay(:,27) =sum(sc5_4,2);
    


end