function [dpie]=profit(q,d,c,th,lim)
%This funciton computes the Cournot profit for firms with capacity
%constraint

dpie=zeros(size(q,1),1);


for i=1:size(q,1)
    
    if (q(i)/lim(i))>th
       
       mc= c(1);
    
    else
       
       mc=c(1)+(lim(i)-q(i))^(2)*c(2); 
        
    end
    
    dpie(i)=d(2)*((sum(q)/d(1))^(d(2)-1))*(q(i)/d(1)) + (sum(q)/d(1))^(d(2)) - mc;
    
end



end