function [trans] =transition(s,s1,p)
% This function computes states transition probabilities

trans1=zeros(size(s,1),size(s1,1));
pla=sum(s(1,2:end));
prob=zeros(pla,size(s(1,2:end),2));

for i=1:size(s,1)
    
    aux=s(i,:);
    
    for l=1:pla
        a=find(aux(2:end)>0,1,'first');
        aux(a)=aux(a)-1;
        sax=s(i,:);
        sax(1)=a-1;
        sax(1+1+s(i,1))=sax(1+1+s(i,1))+1;
        sax(1+a)=sax(1+a)-1;
        
        prob(l,:)=p(ismember(s,sax,'rows')==1,:);
    
    end
    
    for j=1:size(s1,1)
        
        ps=zeros(pla,1);
        
        for z=1:pla
            
            ps(z)=prob(l,s1(j,z+1)+1);
        end
        
        trans1(i,j)=prod(ps);
        
    end
    
end

ns=zeros(size(s1,1),max(s1(:,2)+1));

for i=1:size(s1,1)
    
    l=0;
    for j=1:max(s1(:,2))+1
        
        ns(i,j)=sum(s1(i,2:end)==l);
        l=l+1;
    end
    
end

sax1=s(s(:,1)==0,2:end);

trans=zeros(size(s,1),size(sax1,1));


for i=1:size(s,1)
    
    for j=1:size(sax1,1)
        
        ax=double(ismember(ns,sax1(j,:),'rows'));
        
        trans(i,j)=sum(trans1(i,ax'==1));
    end
    
end


end