function [v] = value(t,p,beta,pro,s)
%This function computes the value function for OLS estimation
%v: [profit op_cost scs(25 entries) error] -- 28 columns

[poff]=payoff(t,pro,s);

v=(eye(size(s,1))-beta(1)*t)\[poff sum(p(:,1:end).*(.577216-log(p(:,1:end))),2)];
          
end