function [p1, p2]=payoff(t,pie,s)
%This function computes the payoff for each player

pay1=zeros(size(s,1));
pay2=zeros(size(s,1));



for i=1:size(s,1)   
             
    for j=1:size(s,1)
          
        pay1(i,j)=(s(j,1)*pie(1)*(1-s(i,1))+s(j,1)*pie(2)*(1-s(j,2))+s(j,1)*pie(3)*(s(j,2))+(1-s(j,1))*.1*(s(i,1)))*t(i,j);
        
        pay2(i,j)=(s(j,2)*pie(1)*(1-s(i,2))+s(j,2)*pie(2)*(1-s(j,1))+s(j,2)*pie(3)*(s(j,1))+(1-s(j,2))*.1*(s(i,2)))*t(i,j);

    end
end

p1=sum(pay1,2);
p2=sum(pay2,2);
         
end