function [p1, p2]=payofft(t,s,W)
%This function computes the payoff for method A estimation

%Variables [entry cost; monopoly ptofit; duopoly profit; crap value]

pay11=zeros(size(s,1));
pay12=zeros(size(s,1));
pay13=zeros(size(s,1));
pay14=zeros(size(s,1));

pay21=zeros(size(s,1));
pay22=zeros(size(s,1));
pay23=zeros(size(s,1));
pay24=zeros(size(s,1));


for i=1:size(s,1)   
             
    for j=1:size(s,1)
          
        pay11(i,j)=s(j,1)*(1-s(i,1))*t(i,j);
        pay12(i,j)=s(j,1)*(1-s(j,2))*t(i,j);
        pay13(i,j)=s(j,1)*(s(j,2))*t(i,j);
        pay14(i,j)=(1-s(j,1))*W*(s(i,1))*t(i,j);
        
        pay21(i,j)=s(j,2)*(1-s(i,2))*t(i,j);
        pay22(i,j)=s(j,2)*(1-s(j,1))*t(i,j);
        pay23(i,j)=s(j,2)*(s(j,1))*t(i,j);
        pay24(i,j)=(1-s(j,2))*W*(s(i,2))*t(i,j);
        
    end
end

p1=[sum(pay11,2) sum(pay12,2) sum(pay13,2) sum(pay14,2)];
p2=[sum(pay21,2) sum(pay22,2) sum(pay23,2) sum(pay24,2)];
         
end