function [ as, var ] = sim_crosssection(n,p )
%This function simulates a serie of actions and states

n1=n(1,2);
n2=n(1,1);

probs=repmat([p(1:4,1)' p(5:8,1)'],n1,1);

as=zeros(n2,8);
var=zeros(n2,8);



for i=1:n2 

a1=[binornd(1,probs(1,1),[n1/4 1]) binornd(1,probs(1,2),[n1/4 1]) binornd(1,probs(1,3),[n1/4 1]) binornd(1,probs(1,4),[n1/4 1])];
a2=[binornd(1,probs(1,5),[n1/4 1]) binornd(1,probs(1,6),[n1/4 1]) binornd(1,probs(1,7),[n1/4 1]) binornd(1,probs(1,8),[n1/4 1])];

as(i,:)=[mean(a1,1) mean(a2,1)];

var(i,:)=[as(i,1)*(1-as(i,1))/(n1/4), as(i,2)*(1-as(i,2))/(n1/4), as(i,3)*(1-as(i,3))/(n1/4), as(i,4)*(1-as(i,4))/(n1/4),...
          as(i,5)*(1-as(i,5))/(n1/4), as(i,6)*(1-as(i,6))/(n1/4), as(i,7)*(1-as(i,7))/(n1/4), as(i,8)*(1-as(i,8))/(n1/4)];


end
    
    

end

